INTERFACE
SUBROUTINE DOPPLSIM(KDLEN,KDBDY,KLEN,KDCOUNT,KCOUNT,KPNLV,PUF5,PVF5,&
 & PGEOPH5,KDPP,PXPP) 
USE PARKIND1,ONLY : JPIM, JPRB
USE YOMDIM ,ONLY : NFLEVG
USE YOMDB
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN,KDBDY,KLEN,KDCOUNT
INTEGER(KIND=JPIM),INTENT(IN) :: KDPP
INTEGER(KIND=JPIM),INTENT(IN),DIMENSION(KDLEN) :: KCOUNT
INTEGER(KIND=JPIM),INTENT(IN),DIMENSION(KDLEN,KDBDY) :: KPNLV
REAL(KIND=JPRB),INTENT(IN), DIMENSION(KDLEN,0:NFLEVG) :: PUF5,PVF5
REAL(KIND=JPRB),INTENT(OUT), DIMENSION(KDLEN,KDCOUNT,KDPP) :: PXPP
REAL(KIND=JPRB),INTENT(IN), DIMENSION(KDLEN,0:NFLEVG) :: PGEOPH5
END SUBROUTINE DOPPLSIM
END INTERFACE
